Arch Linux: invalid or corrupted package (PGP signature) Fehler beheben

Datum: Samstag, 27. August 2022

Tag(s): arch linux arch linux invalid corrupted package PGP fehler beheben Update pacman

Ich habe heute versucht, ein Arch Linux System zu aktualisieren, bekam aber haufenweise den folgenden Fehler:

File /var/cache/pacman/pkg/paketname is corrupted (invalid or corrupted package (PGP signature)).

Dieses Problem kann man ganz einfach beheben:

sudo pacman -S archlinux-keyring

Nach der Aktualisierung des Keyring einfach den vorhergehenden Befehl nochmal ausführen und es sollte klappen.